Package org.optaplanner.core.impl.heuristic.selector.move.composite

## Class CartesianProductMoveSelector.OriginalCartesianProductMoveIterator

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator<S>
  - - org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator<Move<Solution_>>
    - - org.optaplanner.core.impl.heuristic.selector.move.composite.CartesianProductMoveSelector.OriginalCartesianProductMoveIterator

- All Implemented Interfaces:
    `Iterator<Move<Solution_>>`
  Enclosing class:
    CartesianProductMoveSelector<Solution_>

      public class CartesianProductMoveSelector.OriginalCartesianProductMoveIterator
      extends UpcomingSelectionIterator<Move<Solution_>>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator

      `hasUpcomingSelection, upcomingCreated, upcomingSelection`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OriginalCartesianProductMoveIterator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Move<Solution_>` | `createUpcomingSelection()` |

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator

      `hasNext, next, noUpcomingSelection, toString`

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### OriginalCartesianProductMoveIterator

          public OriginalCartesianProductMoveIterator()

  - ### Method Detail

    - #### createUpcomingSelection

          protected Move<Solution_> createUpcomingSelection()

      Specified by:
        `createUpcomingSelection` in class `UpcomingSelectionIterator<Move<Solution_>>`